# xdino

## SYNOPSIS

           /usr/games/xdino                                             [-geometry
           [{width}][x{height}][{+-}{xoff}[{+-}{yoff}]]]                 [-display
           [{host}]:[{vs}]]   [-[no]mono]   [-[no]{reverse|rv}]  [-{foreground|fg}
           {color}]  [-{background|bg}   {color}]   [-face{0|1|2|3|4|5}   {color}]
           [-{border|bd}  {color}]  [-delay msecs] [-[no]sound] [-moveSound {file-
           name}] [-{font|fn} {fontname}] [-view {int}]  [-{mode  {int}  |  both}]
           [-[no]orient]  [-[no]practice]  [-userName {string}] [-scoreFile {file-
           name}] [-scores] [-version]

## DESCRIPTION

           The physical puzzle has period 3 turning (i.e. the points turn with 120
           degree intervals) is called a Triangle - 4 Cube - Dinosaur with colored
           dinosaurs on it, (or Triangle - 4 Cube - 6 Colors with solid colors, (a
           4 color and a 2 color are also available with point oriented coloring))
           manufactured by The  International  Puzzle  &  Games  (Great  Animation
           International  Corporation).  The period 2 turning (i.e. the edges turn
           with   180   degree   intervals)   was   suggested   by   Derek   Bosch
           <bosch@sgi.com>.

## FEATURES

           Press "mouse-left" button to move a piece.  Release "mouse-left" button
           on a piece on the same face.  The pieces will then turn  towards  where
           the mouse button was released.

           Click  "mouse-center",  or press "P" or "p" keys to toggle the practice
           mode (in practice mode the record should say "practice").  This is good
           for learning moves and experimenting.

           Click  "mouse-right", or press "Z" or "z" keys, to randomize the puzzle
           (this must be done first to set a new record).

           Press "G" or "g" keys to get a saved puzzle.

           Press "W" or "w" keys to save (write) a puzzle.

           Press "U" or "u" keys to undo a move.

           Press "R" or "r" keys to redo a move.

           Press "C" or "c" keys to clear the puzzle.

           "S" or "s" keys to start auto-solver.  Only works for Period 3 mode.

           Press "O" or "o" keys to toggle the orient mode.  One has to orient the
           faces  in  orient  mode,  besides  getting all the faces to be the same
           color.  To do this one has to get the lines to be oriented in the  same
           direction.  This does add complexity, (ever so slightly, there are only
           2 possibilities), so there are 2 sets of records.

           Press "2", "3", "B", or "b" keys (not the keypad 2, 3) to change  modes
           to Period 2, Period 3, or Both.

           Press "V" or "v" keys to change the view of the cube.

           Press  ">"  or  "." keys to speed up the movement of pieces (not imple-
           mented).

           Press "<" or "," keys to slow down the movement of pieces  (not  imple-
           mented).

           Press "@" key to toggle the sound.

           Press "Esc" key to hide program.

           Press "Q", "q", or "CTRL-C" keys to kill program.

           Use the key pad or arrow keys to move without the mouse.
           Key pad is defined for the Dino2d as:
           7 8 9   Upper Left, Up, Upper Right
             ^
           4< >6   Left, Right
             v
           1 2 3   Lower Left, Down, Lower Right

           Key  pad  for other than Dino2d, use must use your intuition (is this a
           cop out or what?).  The key pad is  defined  differently  depending  on
           which side of the cube your mouse is pointing at.

           Use  the  alt  key  and the left mouse button, keypad, or arrow keys to
           move the center of the cube.  The 2 opposite corners do not move.

           Use the shift keys and the left mouse button, keypad, or arrow  key  to
           access  "Period 2" turns from "Both" mode, otherwise it assumes "Period
           3" turning.  Edges turn in "Period 2" and corners turn in  "Period  3".
           The "Period 2" mode has extra cuts around the faces.

           Use the control key and the left mouse button, keypad, or arrow keys to
           move the whole cube.  This is not recorded as a turn.

           The title is in the following format (non-motif non-opengl version):
                  xdino{2|3}d<dimension>.{2|3|both<turning  modes>}:  (<Number  of
                  moves>/{<Record   number  of  moves>  <user  name>|"NEVER  noac-
                  cess"|"practice"}) - <Comment>
           If there is no record of the current puzzle, it displays  "NEVER  noac-
           cess".

## OPTIONS

           -geometry {+|-}X{+|-}Y
                   This  option  sets  the  initial  position  of  the dino window
                   (resource name "geometry").

           -display host:dpy
                   This option specifies the X server to contact.

           -[no]mono
                   This option allows you to display the dino window  on  a  color
                   screen as if it were monochrome (resource name "mono").

           -[no]{reverse|rv}
                   This  option allows you to see the dino window in reverse video
                   (resource name "reverseVideo").

           -{foreground|fg} color
                   This  option  specifies  the  foreground  of  the  dino  window
                   (resource name "foreground").

           -{background|bg} color
                   This  option  specifies  the  background  of  the  dino  window
                   (resource name "background").

           -face{0|1|2|3|4|5} <color>
                   This option allows you to change the color of a face  (resource
                   name  "faceColorN").  In mono-mode, color is represented as the
                   first letter of the color name. On the 2-D version,  the  faces
                   are ordered top to bottom and left to right on the "t" configu-
                   ration. The "+-" configuration is  physically  consistent  with
                   the  former,  so  it is ordered "0, 1, 2, 3, 5, 4".  If you has
                   two colors that begin with the same letter you should have  one
                   in  uppercase  and  one  in  lowercase  to  distinguish them in
                   mono-mode. You can change the colors of the  faces  to  make  a
                   stupid  cube (i.e. all White or in mono-mode all "W"). Unfortu-
                   nately, it will not normally say its solved  when  its  random-
                   ized. This would be cheating.

           -{border|bd} color
                   This  option  specifies  the  border color of the pieces in the
                   dino window (resource name "borderColor").

           -delay msecs
                   This option specifies the number of milliseconds  it  takes  to
                   move pieces (1-50) (resource name "delay").

           -[no]sound
                   This  option specifies if sliding pieces should make a sound or
                   not (resource name "sound").

           -moveSound filename
                   This option specifies the file  for  the  move  sound  for  the
                   twisting of the puzzle (resource name "moveSound").

           -{font|fn} ontname
                   This option specifies the font that will be used (resource name
                   "font").

           -view <int>
                   This option allows you to change  the  view  of  the  cube  for
                   OpenGL with choice of 4 views (resource name "int").

           -mode <int>
                   This  option  allows you to set the turning mode (resource name
                   "mode").

           -both   This option allows you to set the turning mode to both period 2
                   and period 3 (resource name "mode" set at 4).

           -[no]orient
                   This option allows you to access the orient mode (resource name
                   "orient").

           -[no]practice
                   This option allows you to access the  practice  mode  (resource
                   name "practice").

           -userName string
                   This  option  specifies  the  user name for any records made or
                   else it will get your login name (resource name "userName").

           -scoreFile filename
                   Specify an alternative score file (resource name  "scoreFile").

           -scores This option lists all the recorded scores and then exits.

           -version
                   This option tells you what version of xdino you have.

## RECORDS

           You  must  randomize  the  puzzle  before a record is set, otherwise an
           assumption of cheating is made if it  is  solved  after  a  get  or  an
           auto-solve.

## SAVE FORMAT

           Here  is the format for the xdino configuration, starting position, and
           the movement of its pieces.

                  mode: 2-4 <period 2 turning, period 3 turning, or both (4)>
                  orient: 0-1 <O false, 1 true; if 1 then lines on pieces  are  to
                  be oriented>
                  practice: 0-1 <0 false, 1 true>
                  moves: 0-MAXINT <total number of moves>

                  startingPosition:  <2  dimensional  array of face and edge posi-
                  tion, each face 4 edge pieces, if orient mode  then  orientation
                  number follows face number: 0 up, 1 right, 2 down, and 3 left>

           This is then followed by the moves, starting from 1.
                  move #: <face> <edge> <direction> <style> <control>
           Each turn is with respect to a corner on a face.
           The edges start at the top and work clockwise.
           Direction is represented as 0 upper right, 1 lower right, 2 lower left,
           3 upper left, 5 clockwise, 7 counterclockwise, 8 up, 9 right, 10  down,
           and 11 left.
           Style is represented as 0, 1, or 2, 0 if just a corner is rotated, 1 if
           the center of the cube is moved, and 2 if a period 2 twist.
           Control is represented as 0 or 1, 1 if the whole cube is moved at  once
           (here  the  edge  does  not matter), 0 if not.  The xdino record keeper
           does not count a control move as a move, but here we do.

## REFERENCES

           International Puzzles & Games Catalog

## SEE ALSO

           X(1), xcubes(6), xtriangles(6),  xhexagons(6),  xmlink(6),  xbarrel(6),
           xpanex(6),  xmball(6),  xpyraminx(6),  xoct(6),  xrubik(6),  xskewb(6),
           xabacus(6)

## COPYRIGHTS

           (R) Copyright 1995-2010, David A. Bagley

## BUG REPORTS AND PROGRAM UPDATES

           Send bugs (or their reports, or fixes) to the author:
                  David A. Bagley, <bagleyd@tux.org>

           The latest version is currently at:
                  http://www.tux.org/~bagleyd/puzzles.html
                  ftp://ibiblio.org/pub/Linux/games/strategy

    V7.5.6                            13 Jan 2010                         XDINO(6)